var stepselect_yp=new Array();
stepselect_yp[0]=["休闲娱乐",446,0];
stepselect_yp[1]=["酒吧",447,446];
stepselect_yp[2]=["茶楼",448,446];
stepselect_yp[3]=["咖啡厅",449,446];
stepselect_yp[4]=["俱乐部",450,446];
stepselect_yp[5]=["KTV",451,446];
stepselect_yp[6]=["洗浴",452,446];
stepselect_yp[7]=["足疗",453,446];
stepselect_yp[8]=["美容",454,446];
stepselect_yp[9]=["健身",455,446];
stepselect_yp[10]=["运动",456,446];
stepselect_yp[11]=["票务",457,446];
stepselect_yp[12]=["餐饮美食",458,0];
stepselect_yp[13]=["快餐",459,458];
stepselect_yp[14]=["火锅",460,458];
stepselect_yp[15]=["海鲜",461,458];
stepselect_yp[16]=["川菜",462,458];
stepselect_yp[17]=["京菜",463,458];
stepselect_yp[18]=["粤菜",464,458];
stepselect_yp[19]=["湘菜",465,458];
stepselect_yp[20]=["家常",466,458];
stepselect_yp[21]=["西餐",467,458];
stepselect_yp[22]=["风味",468,458];
stepselect_yp[23]=["生活便利",469,0];
stepselect_yp[24]=["家政",470,469];
stepselect_yp[25]=["保洁",471,469];
stepselect_yp[26]=["搬家",472,469];
stepselect_yp[27]=["房产",473,469];
stepselect_yp[28]=["中介",474,469];
stepselect_yp[29]=["快递",475,469];
stepselect_yp[30]=["婚纱影楼",476,469];
stepselect_yp[31]=["婚庆礼仪",477,469];
stepselect_yp[32]=["婚介交友",478,469];
stepselect_yp[33]=["旅游出行",480,0];
stepselect_yp[34]=["旅行社",481,480];
stepselect_yp[35]=["度假村",482,480];
stepselect_yp[36]=["景点",483,480];
stepselect_yp[37]=["酒店宾馆",484,480];
stepselect_yp[38]=["交通票务",485,480];
stepselect_yp[39]=["服装皮具",493,487];
stepselect_yp[40]=["眼镜钟表",494,487];
stepselect_yp[41]=["珠宝首饰",495,487];
stepselect_yp[42]=["教育培训",496,0];
stepselect_yp[43]=["外语",497,496];
stepselect_yp[44]=["IT",498,496];
stepselect_yp[45]=["家教",499,496];
stepselect_yp[46]=["管理财务",500,496];
stepselect_yp[47]=["艺术影视",501,496];
stepselect_yp[48]=["远程教育",502,496];
stepselect_yp[49]=["技能认证",503,496];
stepselect_yp[50]=["留学移民",504,496];
stepselect_yp[51]=["装饰装修",505,0];
stepselect_yp[52]=["装饰装修",506,505];
stepselect_yp[53]=["设计装修",507,505];
stepselect_yp[54]=["家居广场",508,505];
stepselect_yp[55]=["建材市场",509,505];
stepselect_yp[56]=["门窗",510,505];
function killerror_yp()
{
	return true; 
}
 
window.onerror=killerror_yp;

var yp_top_select=document.getElementById(stepselect+"_top_select");
var yp_self_select=document.getElementById(stepselect+"_self_select");
var yp_son_select=document.getElementById(stepselect+"_son_select");

yp_top_select.options[0]=new Option("请选择..",0);
yp_self_select.options[0]=new Option("请选择..",0);
yp_son_select.options[0]=new Option("请选择..",0);

yp_self_select.style.display="none";
yp_son_select.style.display="none";

//function load_yp_config()
//{
	for(var i=0,n=1;i<stepselect_yp.length;i++)
	{
		if(stepselect_yp[i][2]==0)
		{
			yp_top_select.options[n]=null;
			yp_top_select.options[n]=new Option(stepselect_yp[i][0],stepselect_yp[i][1]);
			n++;
		}
	}
	yp_top_select.focus();
//}

function reset_ypselectnemu()
{
	yp_top_select.options[0]=new Option("请选择..",0);
	yp_top_select.value=0;
	yp_top_select.disabled="";
}

function get_ypself_select(name,table,value)
{
	yp_self_select.options.length=1;
	yp_son_select.options.length=1;
	
	yp_self_select.style.display="none";
	yp_son_select.style.display="none";
	
	if(yp_top_select.value!=0)
	{
		for(var i=0,n=1;i<stepselect_yp.length;i++)
		{
			if(stepselect_yp[i][2]==yp_top_select.value)
			{
				yp_self_select.options[n]=null;
				yp_self_select.options[n]=new Option(stepselect_yp[i][0],stepselect_yp[i][1]);
				n++;
			}
		}
		if(n>1)yp_self_select.style.display="";
	}
	if(value)
	{
		document.getElementById(name+'_id_'+table).value=value;
	}
	yp_self_select.focus();
}

function get_ypson_select(name,table,value)
{
	yp_son_select.options.length=1;
	yp_son_select.style.display="none";
	
	if(yp_self_select.value!=0)
	{		
		for(var i=0,n=1;i<stepselect_yp.length;i++)
		{
			if(stepselect_yp[i][2]==yp_self_select.value)
			{
				yp_son_select.options[n]=null;
				yp_son_select.options[n]=new Option(stepselect_yp[i][0],stepselect_yp[i][1]);
				n++;
			}
		}
		if(n>1)yp_son_select.style.display="";
	}
	if(value)
	{
		document.getElementById(name+'_id_'+table).value=value;
	}
	yp_son_select.focus();
}

function get_yp_value(name,table,value)
{
	if(value)
	{
		document.getElementById(name+'_id_'+table).value=value;
	}
}
//window.onload(load_yp_config());